import { TLayout } from '@/components/Grid/layout-definition';
export declare const layoutValidatorPayload: {
    invalidOptionalLayout: {
        h: number;
        i: number;
        isDraggable: boolean;
        isResizable: boolean;
        isStatic: boolean;
        maxH: number;
        maxW: number;
        minH: string;
        minW: number;
        moved: boolean;
        w: number;
        x: number;
        y: number;
    };
    invalidRequiredLayout: {
        h: number;
        i: string;
        w: number;
        x: number;
        y: string;
    };
    validOptionalLayout: {
        h: number;
        i: number;
        isDraggable: boolean;
        isResizable: boolean;
        isStatic: boolean;
        maxH: number;
        maxW: number;
        minH: number;
        minW: number;
        moved: boolean;
        w: number;
        x: number;
        y: number;
    };
    validRequiredLayout: {
        h: number;
        i: number;
        w: number;
        x: number;
        y: number;
    };
};
export declare const layoutValidator: (layout: TLayout) => boolean;
